/* bluebox distributor
 * version 0.3.2 date 2007-07-18
 * Copyright (C) 2006-2007 Stefan Schuermans <stefan@blinkenarea.org>
 * Copyleft: GNU public license V2.0 - http://www.gnu.org/copyleft/gpl.html
 * a BlinkenArea project - http://www.blinkenarea.org/
 */

#ifndef INC_config
#define INC_config

//structure for settings
typedef struct s_config_setting
{
  char * section; //name of section in config-file
  char * setting; //name of setting in config-file
  char * buffer; //address of buffer where to put the setting
  int buffer_len; //length of buffer
  char separate_char; //character to separate multiple values (if settings appears more than once, 0 to not append)
} st_config_setting;

//parse config file
void config_parse( char * filename, st_config_setting * p_settings, int settings_cnt );

#endif //#ifndef INC_config
